SK_EAT_SKB(9)

NAME
sk_eat_skb - Release a skb if it is no longer needed

SYNOPSIS

void sk_eat_skb (struct sock * sk, struct sk_buff * skb);

ARGUMENTS

sk  socket to eat this skb from

skb socket buffer to eat

DESCRIPTION

This routine must be called with interrupts disabled or with the socket locked so that the sk_buff queue operation is ok.